//  Base Header file for RDBCreate
//  Platform Includes
#include	"../DXCommon/Platform/PlatBase.h"

//  Application Includes
#include	"AppRunSettings.h"						//  Application Settings
#include	"../DXCommon/ExecEnvironment.h"			//  Execution Run-Time
#include	"../DXCommon/DM/DesignManager.h"		//  Design Manager
#ifdef _DEBUG
#include	"../DXCommon/Debug/Helper.h"			//  Debug Helper
#endif

//  Identification Constants

#define		APP_NAME			"RDBCreate"
#define		APP_TITLE			"Remote Database Creator"
#ifdef _DEBUG
#define		APP_VERSION			"2.1.0 Build 59 debug"
#else
#define		APP_VERSION			"2.1.0 Build 59"
#endif

//  Application Constants
//  Return codes

#define		APPRC_NOERROR		0				//  Everything copacetic
#define		APPRC_WARN			4				//  Execution ok, but warnings issued
#define		APPRC_ERROR			8				//  Execution completed with errors
#define		APPRC_FATAL			16				//  Execution could not be completed

//  Informational Messages
#define		MSG_CDB0033I		"CDB0033I: Loading database design elements from the Internet, please wait....."
#define		MSG_CDB0034I		"CDB0034I: The database design has been applied to the database."
#define		MSG_CDB0036I		"CDB0036I: Using Runtime Version: %s."
#define		MSG_CDB0037I		"CDB0037I: Using Design Manager Version: %s."
#define		MSG_CDB0038I		"CDB0038I: The database title has been set to '%s'."
#define		MSG_CDB0039I		"CDB0039I: The database '%s' has been built on '%s'."
#define		MSG_CDB0040I		"CDB0040I: Trap %i has been triggered."

//  Error Messages
#define		MSG_CDB0030S		"CDB0030S: Unable to start program execution."
#define		MSG_CDB0031S		"CDB0031S: Unable to close down the runtime environment."
#define		MSG_CDB0032E		"CDB0032E: Unable to load the design manifest, processing abandoned."
#define		MSG_CDB0035E		"CDB0035E: Errors were experienced while loading designs, database design is incomplete."
