#
#  Build for RDBCreate 2.1.0 -- Build: 59 -- DXCommon 3.12.0
#
#  Optional targets:
#
#  rebuild   	-  force a complete rebuild of the target
#
#  macros:
#
#  BV=DBG	-  Builds the DEBUG variant of the target
#

TARGET = RDBCreate

#  Define the primary source files
SOURCES = $(TARGET).cpp 
SOURCES += AppRunSettings.cpp 
HEADERS = $(TARGET).h 
HEADERS += AppRunSettings.h 

#  Define Core modules to build

CORE_SOURCES = ../DXCommon/APIPackages.cpp
CORE_SOURCES += ../DXCommon/DXException.cpp
CORE_SOURCES += ../DXCommon/ExecEnvironment.cpp
CORE_SOURCES += ../DXCommon/ElapsedTimer.cpp
CORE_SOURCES += ../DXCommon/RunSettings.cpp
CORE_HEADERS = ../DXCommon/APIPackages.h
CORE_HEADERS += ../DXCommon/DXException.h
CORE_HEADERS += ../DXCommon/ExecEnvironment.h
CORE_HEADERS += ../DXCommon/ElapsedTimer.h
CORE_HEADERS += ../DXCommon/RunSettings.h
CORE_HEADERS += ../DXCommon/DXGlobals.h
CORE_HEADERS += ../DXCommon/Platform/PlatBase.h
CORE_HEADERS += ../DXCommon/Platform/NotesBase.h

#  Define the Designer modules to build

DESIGN_SOURCES = ../DXCommon/DM/DesignElement.cpp
DESIGN_SOURCES += ../DXCommon/DM/DesignManager.cpp
DESIGN_SOURCES += ../DXCommon/DM/DesignManifest.cpp
DESIGN_SOURCES += ../DXCommon/DM/DesignManifestLine.cpp
DESIGN_SOURCES += ../DXCommon/DM/DesignSet.cpp
DESIGN_SOURCES += ../DXCommon/DXResource.cpp
DESIGN_SOURCES += ../DXCommon/DXResourceLoader.cpp
DESIGN_SOURCES += ../DXCommon/DXUCItem.cpp
DESIGN_SOURCES += ../DXCommon/DXUploadContext.cpp
DESIGN_HEADERS = ../DXCommon/DM/DesignElement.h
DESIGN_HEADERS += ../DXCommon/DM/DesignManager.h
DESIGN_HEADERS += ../DXCommon/DM/DesignManifest.h
DESIGN_HEADERS += ../DXCommon/DM/DesignManifestLine.h
DESIGN_HEADERS += ../DXCommon/DM/DesignSet.h
DESIGN_HEADERS += ../DXCommon/DXResource.h
DESIGN_HEADERS += ../DXCommon/DXResourceLoader.h
DESIGN_HEADERS += ../DXCommon/DXUCItem.h
DESIGN_HEADERS += ../DXCommon/DXUploadContext.h

#  Define the Object Lists

OBJECTS = $(TARGET).o 
OBJECTS += AppRunSettings.o 
CORE_OBJECTS = APIPackages.o
CORE_OBJECTS += DXException.o
CORE_OBJECTS += ExecEnvironment.o
CORE_OBJECTS += ElapsedTimer.o
CORE_OBJECTS += RunSettings.o
DESIGN_OBJECTS = DesignElement.o
DESIGN_OBJECTS += DesignManager.o
DESIGN_OBJECTS += DesignManifest.o
DESIGN_OBJECTS += DesignManifestLine.o
DESIGN_OBJECTS += DesignSet.o
DESIGN_OBJECTS += DXResource.o
DESIGN_OBJECTS += DXResourceLoader.o
DESIGN_OBJECTS += DXUCItem.o
DESIGN_OBJECTS += DXUploadContext.o

#  Build the complete build lists

CC = g++
CCOPTS = -c -march=i486
NOTESDIR = $(LOTUS)/notes/latest/linux
LINKOPTS = -o rdbcreate
DEFINES = -DUNIX -DLINUX -DHANDLE_IS_32BITS
INCDIR = $(LOTUS)/notesapi/include
LIBS = -lnotes -lm -lnsl -lpthread -lc -lresolv -ldl -lcurl

#  Rules to build DEBUG or release targets

$(TARGET): $(OBJECTS) $(CORE_OBJECTS) $(DESIGN_OBJECTS)
	$(CC) $(LINKOPTS) $(OBJECTS) $(CORE_OBJECTS) $(DESIGN_OBJECTS) -L$(NOTESDIR) -Wl,-rpath-link $(NOTESDIR) $(LIBS)
$(OBJECTS): $(SOURCES) $(HEADERS)
ifeq ($(BV), DBG)
	$(CC) $(CCOPTS) $(DEFINES) -D_DEBUG -I$(INCDIR) $(SOURCES)
else
	$(CC) $(CCOPTS) $(DEFINES) -I$(INCDIR) $(SOURCES)
endif
$(CORE_OBJECTS): $(CORE_SOURCES) $(CORE_HEADERS)
ifeq ($(BV), DBG)
	$(CC) $(CCOPTS) $(DEFINES) -D_DEBUG -I$(INCDIR) $(CORE_SOURCES)
else
	$(CC) $(CCOPTS) $(DEFINES) -I$(INCDIR) $(CORE_SOURCES)
endif
$(DESIGN_OBJECTS): $(DESIGN_SOURCES) $(DESIGN_HEADERS)
ifeq ($(BV), DBG)
	$(CC) $(CCOPTS) $(DEFINES) -D_DEBUG -I$(INCDIR) $(DESIGN_SOURCES)
else
	$(CC) $(CCOPTS) $(DEFINES) -I$(INCDIR) $(DESIGN_SOURCES)
endif

#  Phony target for forcing a complete rebuild

.PHONY : rebuild
rebuild:
	-rm *.o
	-rm rdbcreate

